package com.ruoyi.system.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 流程节点脚本对象 bpm_node_script
 * 
 * @author hzh
 * @date 2023-10-26
 */
public class BpmNodeScript extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 脚本编码 */
    @Excel(name = "脚本编码")
    private String scriptKey;

    /** 脚本方法名称 */
    @Excel(name = "脚本方法名称")
    private String scriptFunctionName;

    /** 脚本名称 */
    @Excel(name = "脚本名称")
    private String scriptName;

    /** 脚本方法体 */
    @Excel(name = "脚本方法体")
    private String scriptFunctionCode;

    /** 脚本类型 */
    @Excel(name = "脚本类型")
    private Long scriptType;

    /** 脚本描述 */
    @Excel(name = "脚本描述")
    private String scriptDescription;

    /** 删除标志（0：否；1：是） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setScriptKey(String scriptKey) 
    {
        this.scriptKey = scriptKey;
    }

    public String getScriptKey() 
    {
        return scriptKey;
    }
    public void setScriptFunctionName(String scriptFunctionName) 
    {
        this.scriptFunctionName = scriptFunctionName;
    }

    public String getScriptFunctionName() 
    {
        return scriptFunctionName;
    }
    public void setScriptName(String scriptName) 
    {
        this.scriptName = scriptName;
    }

    public String getScriptName() 
    {
        return scriptName;
    }
    public void setScriptFunctionCode(String scriptFunctionCode) 
    {
        this.scriptFunctionCode = scriptFunctionCode;
    }

    public String getScriptFunctionCode() 
    {
        return scriptFunctionCode;
    }
    public void setScriptType(Long scriptType) 
    {
        this.scriptType = scriptType;
    }

    public Long getScriptType() 
    {
        return scriptType;
    }
    public void setScriptDescription(String scriptDescription) 
    {
        this.scriptDescription = scriptDescription;
    }

    public String getScriptDescription() 
    {
        return scriptDescription;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag.isEmpty() ? "0" : delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("scriptKey", getScriptKey())
            .append("scriptFunctionName", getScriptFunctionName())
            .append("scriptName", getScriptName())
            .append("scriptFunctionCode", getScriptFunctionCode())
            .append("scriptType", getScriptType())
            .append("scriptDescription", getScriptDescription())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
